<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_80e7ee43fdf838101a2303a" . "7b4a50efc" => base64_decode("dG9fZm9sZGV" . "yX2lk"), "t" . "y" . "p" . "e" => base64_decode("dHlw" . "ZQ=="), "_939c6a45ff74323dbef487e" . "d15753a7c" => base64_decode("c3RhdG" . "U="), "_4c760fb02a49c55509ba087b8" . "4fbda45" => base64_decode("ZHJhZn" . "Q="), "_2e858fb1973337f53f" . "f85c104fcb38f4" => base64_decode("cHVibGlz" . "aGVk"), "_d0845bff5cd0" . "ddb5ed1d7bd9d" . "b996f51" => base64_decode("c291cmN" . "l"), "_32155ccb342f199043093041c1b3bb5" . "7" => base64_decode("ZnJvbV9mb2xkZXJfa" . "WQ="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff74323dbef487ed15" . "753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff74" . "323dbef487ed1" . "5753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4c760fb02a49c55509ba087b84" . "fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2e858fb1973337f53ff85c104fcb" . "38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d0845bff5cd0ddb5ed" . "1d7bd9db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_32155ccb" . "342f19904" . "3093041c1" . "b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}